<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, type Ref } from 'vue'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>
<template>
  <v-navigation-drawer
    v-model="drawer"
    :rail="rail"
    permanent
    color="brown-lighten-4"
    @click="rail = false"
  >
    <v-list-item
      lines="two"
      prepend-avatar="http://localhost:3000/images/users/"
      :title="authStore.getCurrentUser()?.fullName"
      :subtitle="authStore.getCurrentUser()?.email"
      nav
    >
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item
        prepend-icon="mdi-cart"
        title="Point of Sell"
        value="pos"
        :to="{ name: 'pos' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account-supervisor"
        title="Member"
        value="member"
        :to="{ name: 'member' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-home"
        title="Home"
        value="home"
        :to="{ name: 'home' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account"
        title="Users"
        value="users"
        :to="{ name: 'users' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-gift"
        title="Products"
        value="products"
        :to="{ name: 'products' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-garage"
        title="Stock"
        value="stock"
        :to="{ name: 'stock' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-timetable"
        title="Check-In-Out"
        value="checkInOut"
        :to="{ name: 'checkInOut' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-currency-usd"
        title="Salary"
        value="salary"
        :to="{ name: 'salary' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-logout"
        title="Logout"
        value="logout"
        @click="authStore.logout()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
